Subject: Re: pack operation is thrashing my server

From: Andi Kleen <[email-masked]>
Date: Mon, 11 Aug 2008 21:10:31 +0200

"Ken Pratt" <[email-masked]> writes:
>
> I'm starting to think repacking is just not feasible on a 64-bit
> server with 256MB of RAM (which is a very popular configuration in the
> VPS market).

As a quick workaround you could try it with a 32bit git executable?
(assuming you have a distribution with proper multilib support) 

I think the right fix would be to make git throttle itself (not 
use mmap, use very small defaults etc.) on low memory systems.
It could take a look a /proc/meminfo for this.

-Andi